ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.122 by ayin, Tue Dec 11 18:32:08 2007 UTC vs.
Revision 1.123 by root, Sun Dec 23 02:43:54 2007 UTC

5837 fi 5837 fi
5838 5838
5839fi 5839fi
5840 5840
5841 5841
5842{ echo "$as_me:$LINENO: checking for nanosleep" >&5
5843echo $ECHO_N "checking for nanosleep... $ECHO_C" >&6; }
5844if test "${ac_cv_func_nanosleep+set}" = set; then
5845 echo $ECHO_N "(cached) $ECHO_C" >&6
5846else
5847 cat >conftest.$ac_ext <<_ACEOF
5848/* confdefs.h. */
5849_ACEOF
5850cat confdefs.h >>conftest.$ac_ext
5851cat >>conftest.$ac_ext <<_ACEOF
5852/* end confdefs.h. */
5853/* Define nanosleep to an innocuous variant, in case <limits.h> declares nanosleep.
5854 For example, HP-UX 11i <limits.h> declares gettimeofday. */
5855#define nanosleep innocuous_nanosleep
5856
5857/* System header to define __stub macros and hopefully few prototypes,
5858 which can conflict with char nanosleep (); below.
5859 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5860 <limits.h> exists even on freestanding compilers. */
5861
5862#ifdef __STDC__
5863# include <limits.h>
5864#else
5865# include <assert.h>
5866#endif
5867
5868#undef nanosleep
5869
5870/* Override any GCC internal prototype to avoid an error.
5871 Use char because int might match the return type of a GCC
5872 builtin and then its argument prototype would still apply. */
5873#ifdef __cplusplus
5874extern "C"
5875#endif
5876char nanosleep ();
5877/* The GNU C library defines this for functions which it implements
5878 to always fail with ENOSYS. Some functions are actually named
5879 something starting with __ and the normal name is an alias. */
5880#if defined __stub_nanosleep || defined __stub___nanosleep
5881choke me
5882#endif
5883
5884int
5885main ()
5886{
5887return nanosleep ();
5888 ;
5889 return 0;
5890}
5891_ACEOF
5892rm -f conftest.$ac_objext conftest$ac_exeext
5893if { (ac_try="$ac_link"
5894case "(($ac_try" in
5895 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5896 *) ac_try_echo=$ac_try;;
5897esac
5898eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5899 (eval "$ac_link") 2>conftest.er1
5900 ac_status=$?
5901 grep -v '^ *+' conftest.er1 >conftest.err
5902 rm -f conftest.er1
5903 cat conftest.err >&5
5904 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5905 (exit $ac_status); } && {
5906 test -z "$ac_cxx_werror_flag" ||
5907 test ! -s conftest.err
5908 } && test -s conftest$ac_exeext &&
5909 $as_test_x conftest$ac_exeext; then
5910 ac_cv_func_nanosleep=yes
5911else
5912 echo "$as_me: failed program was:" >&5
5913sed 's/^/| /' conftest.$ac_ext >&5
5914
5915 ac_cv_func_nanosleep=no
5916fi
5917
5918rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5919 conftest$ac_exeext conftest.$ac_ext
5920fi
5921{ echo "$as_me:$LINENO: result: $ac_cv_func_nanosleep" >&5
5922echo "${ECHO_T}$ac_cv_func_nanosleep" >&6; }
5923if test $ac_cv_func_nanosleep = yes; then
5924 :
5925else
5926
5927 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
5928
5929{ echo "$as_me:$LINENO: checking for nanosleep in -lrt" >&5
5930echo $ECHO_N "checking for nanosleep in -lrt... $ECHO_C" >&6; }
5931if test "${ac_cv_lib_rt_nanosleep+set}" = set; then
5932 echo $ECHO_N "(cached) $ECHO_C" >&6
5933else
5934 ac_check_lib_save_LIBS=$LIBS
5935LIBS="-lrt $LIBS"
5936cat >conftest.$ac_ext <<_ACEOF
5937/* confdefs.h. */
5938_ACEOF
5939cat confdefs.h >>conftest.$ac_ext
5940cat >>conftest.$ac_ext <<_ACEOF
5941/* end confdefs.h. */
5942
5943/* Override any GCC internal prototype to avoid an error.
5944 Use char because int might match the return type of a GCC
5945 builtin and then its argument prototype would still apply. */
5946#ifdef __cplusplus
5947extern "C"
5948#endif
5949char nanosleep ();
5950int
5951main ()
5952{
5953return nanosleep ();
5954 ;
5955 return 0;
5956}
5957_ACEOF
5958rm -f conftest.$ac_objext conftest$ac_exeext
5959if { (ac_try="$ac_link"
5960case "(($ac_try" in
5961 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5962 *) ac_try_echo=$ac_try;;
5963esac
5964eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5965 (eval "$ac_link") 2>conftest.er1
5966 ac_status=$?
5967 grep -v '^ *+' conftest.er1 >conftest.err
5968 rm -f conftest.er1
5969 cat conftest.err >&5
5970 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5971 (exit $ac_status); } && {
5972 test -z "$ac_cxx_werror_flag" ||
5973 test ! -s conftest.err
5974 } && test -s conftest$ac_exeext &&
5975 $as_test_x conftest$ac_exeext; then
5976 ac_cv_lib_rt_nanosleep=yes
5977else
5978 echo "$as_me: failed program was:" >&5
5979sed 's/^/| /' conftest.$ac_ext >&5
5980
5981 ac_cv_lib_rt_nanosleep=no
5982fi
5983
5984rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
5985 conftest$ac_exeext conftest.$ac_ext
5986LIBS=$ac_check_lib_save_LIBS
5987fi
5988{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_nanosleep" >&5
5989echo "${ECHO_T}$ac_cv_lib_rt_nanosleep" >&6; }
5990if test $ac_cv_lib_rt_nanosleep = yes; then
5991 cat >>confdefs.h <<_ACEOF
5992#define HAVE_LIBRT 1
5993_ACEOF
5994
5995 LIBS="-lrt $LIBS"
5996
5997fi
5998
5999 unset ac_cv_func_nanosleep
6000
6001for ac_func in nanosleep
6002do
6003as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
6004{ echo "$as_me:$LINENO: checking for $ac_func" >&5
6005echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
6006if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
6007 echo $ECHO_N "(cached) $ECHO_C" >&6
6008else
6009 cat >conftest.$ac_ext <<_ACEOF
6010/* confdefs.h. */
6011_ACEOF
6012cat confdefs.h >>conftest.$ac_ext
6013cat >>conftest.$ac_ext <<_ACEOF
6014/* end confdefs.h. */
6015/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
6016 For example, HP-UX 11i <limits.h> declares gettimeofday. */
6017#define $ac_func innocuous_$ac_func
6018
6019/* System header to define __stub macros and hopefully few prototypes,
6020 which can conflict with char $ac_func (); below.
6021 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
6022 <limits.h> exists even on freestanding compilers. */
6023
6024#ifdef __STDC__
6025# include <limits.h>
6026#else
6027# include <assert.h>
6028#endif
6029
6030#undef $ac_func
6031
6032/* Override any GCC internal prototype to avoid an error.
6033 Use char because int might match the return type of a GCC
6034 builtin and then its argument prototype would still apply. */
6035#ifdef __cplusplus
6036extern "C"
6037#endif
6038char $ac_func ();
6039/* The GNU C library defines this for functions which it implements
6040 to always fail with ENOSYS. Some functions are actually named
6041 something starting with __ and the normal name is an alias. */
6042#if defined __stub_$ac_func || defined __stub___$ac_func
6043choke me
6044#endif
6045
6046int
6047main ()
6048{
6049return $ac_func ();
6050 ;
6051 return 0;
6052}
6053_ACEOF
6054rm -f conftest.$ac_objext conftest$ac_exeext
6055if { (ac_try="$ac_link"
6056case "(($ac_try" in
6057 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
6058 *) ac_try_echo=$ac_try;;
6059esac
6060eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
6061 (eval "$ac_link") 2>conftest.er1
6062 ac_status=$?
6063 grep -v '^ *+' conftest.er1 >conftest.err
6064 rm -f conftest.er1
6065 cat conftest.err >&5
6066 echo "$as_me:$LINENO: \$? = $ac_status" >&5
6067 (exit $ac_status); } && {
6068 test -z "$ac_cxx_werror_flag" ||
6069 test ! -s conftest.err
6070 } && test -s conftest$ac_exeext &&
6071 $as_test_x conftest$ac_exeext; then
6072 eval "$as_ac_var=yes"
6073else
6074 echo "$as_me: failed program was:" >&5
6075sed 's/^/| /' conftest.$ac_ext >&5
6076
6077 eval "$as_ac_var=no"
6078fi
6079
6080rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
6081 conftest$ac_exeext conftest.$ac_ext
6082fi
6083ac_res=`eval echo '${'$as_ac_var'}'`
6084 { echo "$as_me:$LINENO: result: $ac_res" >&5
6085echo "${ECHO_T}$ac_res" >&6; }
6086if test `eval echo '${'$as_ac_var'}'` = yes; then
6087 cat >>confdefs.h <<_ACEOF
6088#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
6089_ACEOF
6090
6091fi
6092done
6093
6094 fi
6095
6096fi
6097
6098
5842 6099
5843{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5 6100{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
5844echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; } 6101echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
5845if test "${ac_cv_lib_m_ceil+set}" = set; then 6102if test "${ac_cv_lib_m_ceil+set}" = set; then
5846 echo $ECHO_N "(cached) $ECHO_C" >&6 6103 echo $ECHO_N "(cached) $ECHO_C" >&6
7356 7613
7357 7614
7358 7615
7359 7616
7360 7617
7361
7362for ac_header in \ 7618for ac_header in \
7363 sys/byteorder.h \ 7619 sys/byteorder.h \
7364 sys/ioctl.h \ 7620 sys/ioctl.h \
7365 sys/sockio.h \ 7621 sys/sockio.h \
7366 sys/strredir.h \ 7622 sys/strredir.h \
7367 stdint.h \ 7623 stdint.h \
7368 wchar.h \ 7624 wchar.h \
7369 cwchar \ 7625 cwchar \
7370 clocale \
7371 7626
7372do 7627do
7373as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7628as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7374if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 7629if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
7375 { echo "$as_me:$LINENO: checking for $ac_header" >&5 7630 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8469fi 8724fi
8470done 8725done
8471 8726
8472 8727
8473 8728
8729
8730
8474for ac_header in lastlog.h 8731for ac_header in \
8732 utmp.h \
8733 utmpx.h \
8734 lastlog.h \
8735
8475do 8736do
8476as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 8737as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8477if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8738if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8478 { echo "$as_me:$LINENO: checking for $ac_header" >&5 8739 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8479echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8740echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8610 8871
8611done 8872done
8612 8873
8613 8874
8614 8875
8615 8876if test "${ac_cv_header_utmp_h+set}" = set; then
8616for ac_header in utmp.h
8617do
8618as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8619if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8620 { echo "$as_me:$LINENO: checking for $ac_header" >&5 8877 { echo "$as_me:$LINENO: checking for utmp.h" >&5
8621echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8878echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; }
8622if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8879if test "${ac_cv_header_utmp_h+set}" = set; then
8623 echo $ECHO_N "(cached) $ECHO_C" >&6 8880 echo $ECHO_N "(cached) $ECHO_C" >&6
8624fi 8881fi
8625ac_res=`eval echo '${'$as_ac_Header'}'`
8626 { echo "$as_me:$LINENO: result: $ac_res" >&5 8882{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
8627echo "${ECHO_T}$ac_res" >&6; } 8883echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; }
8628else 8884else
8629 # Is the header compilable? 8885 # Is the header compilable?
8630{ echo "$as_me:$LINENO: checking $ac_header usability" >&5 8886{ echo "$as_me:$LINENO: checking utmp.h usability" >&5
8631echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; } 8887echo $ECHO_N "checking utmp.h usability... $ECHO_C" >&6; }
8632cat >conftest.$ac_ext <<_ACEOF 8888cat >conftest.$ac_ext <<_ACEOF
8633/* confdefs.h. */ 8889/* confdefs.h. */
8634_ACEOF 8890_ACEOF
8635cat confdefs.h >>conftest.$ac_ext 8891cat confdefs.h >>conftest.$ac_ext
8636cat >>conftest.$ac_ext <<_ACEOF 8892cat >>conftest.$ac_ext <<_ACEOF
8637/* end confdefs.h. */ 8893/* end confdefs.h. */
8638$ac_includes_default 8894$ac_includes_default
8639#include <$ac_header> 8895#include <utmp.h>
8640_ACEOF 8896_ACEOF
8641rm -f conftest.$ac_objext 8897rm -f conftest.$ac_objext
8642if { (ac_try="$ac_compile" 8898if { (ac_try="$ac_compile"
8643case "(($ac_try" in 8899case "(($ac_try" in
8644 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 8900 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8666rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 8922rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8667{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 8923{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8668echo "${ECHO_T}$ac_header_compiler" >&6; } 8924echo "${ECHO_T}$ac_header_compiler" >&6; }
8669 8925
8670# Is the header present? 8926# Is the header present?
8671{ echo "$as_me:$LINENO: checking $ac_header presence" >&5 8927{ echo "$as_me:$LINENO: checking utmp.h presence" >&5
8672echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; } 8928echo $ECHO_N "checking utmp.h presence... $ECHO_C" >&6; }
8673cat >conftest.$ac_ext <<_ACEOF 8929cat >conftest.$ac_ext <<_ACEOF
8674/* confdefs.h. */ 8930/* confdefs.h. */
8675_ACEOF 8931_ACEOF
8676cat confdefs.h >>conftest.$ac_ext 8932cat confdefs.h >>conftest.$ac_ext
8677cat >>conftest.$ac_ext <<_ACEOF 8933cat >>conftest.$ac_ext <<_ACEOF
8678/* end confdefs.h. */ 8934/* end confdefs.h. */
8679#include <$ac_header> 8935#include <utmp.h>
8680_ACEOF 8936_ACEOF
8681if { (ac_try="$ac_cpp conftest.$ac_ext" 8937if { (ac_try="$ac_cpp conftest.$ac_ext"
8682case "(($ac_try" in 8938case "(($ac_try" in
8683 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 8939 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8684 *) ac_try_echo=$ac_try;; 8940 *) ac_try_echo=$ac_try;;
8707echo "${ECHO_T}$ac_header_preproc" >&6; } 8963echo "${ECHO_T}$ac_header_preproc" >&6; }
8708 8964
8709# So? What about this header? 8965# So? What about this header?
8710case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 8966case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8711 yes:no: ) 8967 yes:no: )
8712 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 8968 { echo "$as_me:$LINENO: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
8713echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 8969echo "$as_me: WARNING: utmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8714 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 8970 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the compiler's result" >&5
8715echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 8971echo "$as_me: WARNING: utmp.h: proceeding with the compiler's result" >&2;}
8716 ac_header_preproc=yes 8972 ac_header_preproc=yes
8717 ;; 8973 ;;
8718 no:yes:* ) 8974 no:yes:* )
8719 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 8975 { echo "$as_me:$LINENO: WARNING: utmp.h: present but cannot be compiled" >&5
8720echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 8976echo "$as_me: WARNING: utmp.h: present but cannot be compiled" >&2;}
8721 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5 8977 { echo "$as_me:$LINENO: WARNING: utmp.h: check for missing prerequisite headers?" >&5
8722echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;} 8978echo "$as_me: WARNING: utmp.h: check for missing prerequisite headers?" >&2;}
8723 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 8979 { echo "$as_me:$LINENO: WARNING: utmp.h: see the Autoconf documentation" >&5
8724echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 8980echo "$as_me: WARNING: utmp.h: see the Autoconf documentation" >&2;}
8725 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5 8981 { echo "$as_me:$LINENO: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&5
8726echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;} 8982echo "$as_me: WARNING: utmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
8727 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 8983 { echo "$as_me:$LINENO: WARNING: utmp.h: proceeding with the preprocessor's result" >&5
8728echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 8984echo "$as_me: WARNING: utmp.h: proceeding with the preprocessor's result" >&2;}
8729 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 8985 { echo "$as_me:$LINENO: WARNING: utmp.h: in the future, the compiler will take precedence" >&5
8730echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 8986echo "$as_me: WARNING: utmp.h: in the future, the compiler will take precedence" >&2;}
8731 8987
8732 ;; 8988 ;;
8733esac 8989esac
8734{ echo "$as_me:$LINENO: checking for $ac_header" >&5 8990{ echo "$as_me:$LINENO: checking for utmp.h" >&5
8735echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 8991echo $ECHO_N "checking for utmp.h... $ECHO_C" >&6; }
8736if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 8992if test "${ac_cv_header_utmp_h+set}" = set; then
8737 echo $ECHO_N "(cached) $ECHO_C" >&6 8993 echo $ECHO_N "(cached) $ECHO_C" >&6
8738else 8994else
8739 eval "$as_ac_Header=\$ac_header_preproc" 8995 ac_cv_header_utmp_h=$ac_header_preproc
8740fi 8996fi
8741ac_res=`eval echo '${'$as_ac_Header'}'`
8742 { echo "$as_me:$LINENO: result: $ac_res" >&5 8997{ echo "$as_me:$LINENO: result: $ac_cv_header_utmp_h" >&5
8743echo "${ECHO_T}$ac_res" >&6; } 8998echo "${ECHO_T}$ac_cv_header_utmp_h" >&6; }
8744 8999
8745fi 9000fi
8746if test `eval echo '${'$as_ac_Header'}'` = yes; then 9001if test $ac_cv_header_utmp_h = yes; then
8747 cat >>confdefs.h <<_ACEOF
8748#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
8749_ACEOF
8750 { echo "$as_me:$LINENO: checking for struct utmp" >&5 9002 { echo "$as_me:$LINENO: checking for struct utmp" >&5
8751echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; } 9003echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6; }
8752if test "${struct_utmp+set}" = set; then 9004if test "${struct_utmp+set}" = set; then
8753 echo $ECHO_N "(cached) $ECHO_C" >&6 9005 echo $ECHO_N "(cached) $ECHO_C" >&6
8754else 9006else
8755 cat >conftest.$ac_ext <<_ACEOF 9007 cat >conftest.$ac_ext <<_ACEOF
8922 9174
8923fi 9175fi
8924 9176
8925fi 9177fi
8926 9178
8927done
8928 9179
8929 9180
8930 9181if test "${ac_cv_header_utmpx_h+set}" = set; then
8931for ac_header in utmpx.h
8932do
8933as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8934if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8935 { echo "$as_me:$LINENO: checking for $ac_header" >&5 9182 { echo "$as_me:$LINENO: checking for utmpx.h" >&5
8936echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 9183echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; }
8937if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 9184if test "${ac_cv_header_utmpx_h+set}" = set; then
8938 echo $ECHO_N "(cached) $ECHO_C" >&6 9185 echo $ECHO_N "(cached) $ECHO_C" >&6
8939fi 9186fi
8940ac_res=`eval echo '${'$as_ac_Header'}'`
8941 { echo "$as_me:$LINENO: result: $ac_res" >&5 9187{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
8942echo "${ECHO_T}$ac_res" >&6; } 9188echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; }
8943else 9189else
8944 # Is the header compilable? 9190 # Is the header compilable?
8945{ echo "$as_me:$LINENO: checking $ac_header usability" >&5 9191{ echo "$as_me:$LINENO: checking utmpx.h usability" >&5
8946echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; } 9192echo $ECHO_N "checking utmpx.h usability... $ECHO_C" >&6; }
8947cat >conftest.$ac_ext <<_ACEOF 9193cat >conftest.$ac_ext <<_ACEOF
8948/* confdefs.h. */ 9194/* confdefs.h. */
8949_ACEOF 9195_ACEOF
8950cat confdefs.h >>conftest.$ac_ext 9196cat confdefs.h >>conftest.$ac_ext
8951cat >>conftest.$ac_ext <<_ACEOF 9197cat >>conftest.$ac_ext <<_ACEOF
8952/* end confdefs.h. */ 9198/* end confdefs.h. */
8953$ac_includes_default 9199$ac_includes_default
8954#include <$ac_header> 9200#include <utmpx.h>
8955_ACEOF 9201_ACEOF
8956rm -f conftest.$ac_objext 9202rm -f conftest.$ac_objext
8957if { (ac_try="$ac_compile" 9203if { (ac_try="$ac_compile"
8958case "(($ac_try" in 9204case "(($ac_try" in
8959 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 9205 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8981rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 9227rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8982{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 9228{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8983echo "${ECHO_T}$ac_header_compiler" >&6; } 9229echo "${ECHO_T}$ac_header_compiler" >&6; }
8984 9230
8985# Is the header present? 9231# Is the header present?
8986{ echo "$as_me:$LINENO: checking $ac_header presence" >&5 9232{ echo "$as_me:$LINENO: checking utmpx.h presence" >&5
8987echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; } 9233echo $ECHO_N "checking utmpx.h presence... $ECHO_C" >&6; }
8988cat >conftest.$ac_ext <<_ACEOF 9234cat >conftest.$ac_ext <<_ACEOF
8989/* confdefs.h. */ 9235/* confdefs.h. */
8990_ACEOF 9236_ACEOF
8991cat confdefs.h >>conftest.$ac_ext 9237cat confdefs.h >>conftest.$ac_ext
8992cat >>conftest.$ac_ext <<_ACEOF 9238cat >>conftest.$ac_ext <<_ACEOF
8993/* end confdefs.h. */ 9239/* end confdefs.h. */
8994#include <$ac_header> 9240#include <utmpx.h>
8995_ACEOF 9241_ACEOF
8996if { (ac_try="$ac_cpp conftest.$ac_ext" 9242if { (ac_try="$ac_cpp conftest.$ac_ext"
8997case "(($ac_try" in 9243case "(($ac_try" in
8998 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 9244 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8999 *) ac_try_echo=$ac_try;; 9245 *) ac_try_echo=$ac_try;;
9022echo "${ECHO_T}$ac_header_preproc" >&6; } 9268echo "${ECHO_T}$ac_header_preproc" >&6; }
9023 9269
9024# So? What about this header? 9270# So? What about this header?
9025case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in 9271case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9026 yes:no: ) 9272 yes:no: )
9027 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5 9273 { echo "$as_me:$LINENO: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&5
9028echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;} 9274echo "$as_me: WARNING: utmpx.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9029 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5 9275 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the compiler's result" >&5
9030echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;} 9276echo "$as_me: WARNING: utmpx.h: proceeding with the compiler's result" >&2;}
9031 ac_header_preproc=yes 9277 ac_header_preproc=yes
9032 ;; 9278 ;;
9033 no:yes:* ) 9279 no:yes:* )
9034 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5 9280 { echo "$as_me:$LINENO: WARNING: utmpx.h: present but cannot be compiled" >&5
9035echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;} 9281echo "$as_me: WARNING: utmpx.h: present but cannot be compiled" >&2;}
9036 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5 9282 { echo "$as_me:$LINENO: WARNING: utmpx.h: check for missing prerequisite headers?" >&5
9037echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;} 9283echo "$as_me: WARNING: utmpx.h: check for missing prerequisite headers?" >&2;}
9038 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5 9284 { echo "$as_me:$LINENO: WARNING: utmpx.h: see the Autoconf documentation" >&5
9039echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;} 9285echo "$as_me: WARNING: utmpx.h: see the Autoconf documentation" >&2;}
9040 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5 9286 { echo "$as_me:$LINENO: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&5
9041echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;} 9287echo "$as_me: WARNING: utmpx.h: section \"Present But Cannot Be Compiled\"" >&2;}
9042 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5 9288 { echo "$as_me:$LINENO: WARNING: utmpx.h: proceeding with the preprocessor's result" >&5
9043echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;} 9289echo "$as_me: WARNING: utmpx.h: proceeding with the preprocessor's result" >&2;}
9044 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5 9290 { echo "$as_me:$LINENO: WARNING: utmpx.h: in the future, the compiler will take precedence" >&5
9045echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;} 9291echo "$as_me: WARNING: utmpx.h: in the future, the compiler will take precedence" >&2;}
9046 9292
9047 ;; 9293 ;;
9048esac 9294esac
9049{ echo "$as_me:$LINENO: checking for $ac_header" >&5 9295{ echo "$as_me:$LINENO: checking for utmpx.h" >&5
9050echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 9296echo $ECHO_N "checking for utmpx.h... $ECHO_C" >&6; }
9051if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 9297if test "${ac_cv_header_utmpx_h+set}" = set; then
9052 echo $ECHO_N "(cached) $ECHO_C" >&6 9298 echo $ECHO_N "(cached) $ECHO_C" >&6
9053else 9299else
9054 eval "$as_ac_Header=\$ac_header_preproc" 9300 ac_cv_header_utmpx_h=$ac_header_preproc
9055fi 9301fi
9056ac_res=`eval echo '${'$as_ac_Header'}'`
9057 { echo "$as_me:$LINENO: result: $ac_res" >&5 9302{ echo "$as_me:$LINENO: result: $ac_cv_header_utmpx_h" >&5
9058echo "${ECHO_T}$ac_res" >&6; } 9303echo "${ECHO_T}$ac_cv_header_utmpx_h" >&6; }
9059 9304
9060fi 9305fi
9061if test `eval echo '${'$as_ac_Header'}'` = yes; then 9306if test $ac_cv_header_utmpx_h = yes; then
9062 cat >>confdefs.h <<_ACEOF
9063#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
9064_ACEOF
9065 { echo "$as_me:$LINENO: checking for struct utmpx" >&5 9307 { echo "$as_me:$LINENO: checking for struct utmpx" >&5
9066echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; } 9308echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6; }
9067if test "${struct_utmpx+set}" = set; then 9309if test "${struct_utmpx+set}" = set; then
9068 echo $ECHO_N "(cached) $ECHO_C" >&6 9310 echo $ECHO_N "(cached) $ECHO_C" >&6
9069else 9311else
9070 cat >conftest.$ac_ext <<_ACEOF 9312 cat >conftest.$ac_ext <<_ACEOF
9237 9479
9238fi 9480fi
9239 9481
9240fi 9482fi
9241 9483
9242done
9243 9484
9244{ echo "$as_me:$LINENO: checking for struct lastlog" >&5 9485{ echo "$as_me:$LINENO: checking for struct lastlog" >&5
9245echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; } 9486echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6; }
9246if test "${struct_lastlog+set}" = set; then 9487if test "${struct_lastlog+set}" = set; then
9247 echo $ECHO_N "(cached) $ECHO_C" >&6 9488 echo $ECHO_N "(cached) $ECHO_C" >&6

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines